Page MenuHomePhabricator

Unify the display of all Wikimedia portals
Closed, ResolvedPublicGoal

Assigned To
Authored By
Iniquity
Aug 16 2019, 1:19 AM
Referenced Files
F31813046: image.png
May 11 2020, 8:23 PM
F31813043: image.png
May 11 2020, 8:21 PM
F30041653: image.png
Aug 16 2019, 1:19 AM
F30041643: image.png
Aug 16 2019, 1:19 AM
F30041650: image.png
Aug 16 2019, 1:19 AM
F30041645: image.png
Aug 16 2019, 1:19 AM
F30041651: image.png
Aug 16 2019, 1:19 AM
F30041644: image.png
Aug 16 2019, 1:19 AM
Tokens
"Burninate" token, awarded by SerDIDG.

Description

It seems to me that it is necessary to adhere to one common design and logic in all portals. Maybe they should somehow be combined? And make a redirect to Wikimedia.org?

Proposal

Use a common code base and design concept on all Wikimedia portals. Refuse to use meta-code generation and transfer portals to Wikipedia portal code.

Problem

When the Wikipedia portal was modernized in 2016, the intent was that all the sister portals would get a similar facelift and upgrade. However, the Foundation could only commit resources to modernizing the Wikipedia portal, and there didn’t seem to be much traction on the rest.

The sister portals are still just HTML source code maintained as wiki pages on Meta-Wiki (with some Lua modules semi-automating updates). That means we could technically apply any design whatsoever to them without much in the way of coding. However, they wouldn’t benefit from wikipedia.org’s dynamic features like automatic localization. I think we’d want to get to the point where all the portals use the same build system and resources, but not necessarily strictly the same design.

A while back in T139052, I attempted to modernize the Wiktionary portal but didn’t get far enough to tackle sharing code and resources between the portals. The biggest hurdle for me was that the build system was fairly tied to a model in which the Wikipedia portal would be built one way while the other portals would just be fetched from Meta. At the time, the Wikipedia portal was undergoing such rapid change that I couldn’t keep up either, so other than perhaps an example to follow, I don’t think https://gerrit.wikimedia.org/r/371656 should ever be merged.

If anyone is interested in tackling a proper modernization of the sister portals, take a look at rWPOR (GitHub mirror). Otherwise, if you can improve on the design but feel intimidated by the build system there, you could try incorporating some of the styling improvements to the project portals on Meta, if you’re OK with that work having to be redone later on.

Represent current situation

Process

Source code

Event Timeline

@Volker_E can you help with this? Or leave a review at least? :)

When the Wikipedia portal was modernized in 2016, the intent was that all the sister portals would get a similar facelift and upgrade. However, the Foundation could only commit resources to modernizing the Wikipedia portal, and there didn’t seem to be much traction on the rest.

The sister portals are still just HTML source code maintained as wiki pages on Meta-Wiki (with some Lua modules semi-automating updates). That means we could technically apply any design whatsoever to them without much in the way of coding. However, they wouldn’t benefit from wikipedia.org’s dynamic features like automatic localization. I think we’d want to get to the point where all the portals use the same build system and resources, but not necessarily strictly the same design.

A while back in T139052, I attempted to modernize the Wiktionary portal but didn’t get far enough to tackle sharing code and resources between the portals. The biggest hurdle for me was that the build system was fairly tied to a model in which the Wikipedia portal would be built one way while the other portals would just be fetched from Meta. At the time, the Wikipedia portal was undergoing such rapid change that I couldn’t keep up either, so other than perhaps an example to follow, I don’t think https://gerrit.wikimedia.org/r/371656 should ever be merged.

If anyone is interested in tackling a proper modernization of the sister portals, take a look at rWPOR (GitHub mirror). Otherwise, if you can improve on the design but feel intimidated by the build system there, you could try incorporating some of the styling improvements to the project portals on Meta, if you’re OK with that work having to be redone later on.

Maybe they should somehow be combined? And make a redirect to Wikimedia.org?

I think a combined portal would be too complicated, considering that each project has a different set of available languages – a lot of them in some cases.

The sister portals are still just HTML source code maintained as wiki pages on Meta-Wiki (with some Lua modules semi-automating updates).

At first I decided that you were kidding me :) I could not think that the code is generated on Meta. 2020...

I think a combined portal would be too complicated, considering that each project has a different set of available languages – a lot of them in some cases.

Yeah, maybe you're right :)

Iniquity changed the subtype of this task from "Design" to "Goal".May 25 2020, 6:39 PM

hi @Iniquity, as you may have noticed, I nominated this task as a project for Google summer of code. I hope the extra effort will make this task a reality :)
These portals in general suffer from a lack of resourcing at the WMF, which is why they are in the state that they are. However, as on of the (remaining) people who built the Git workflow, I'll be available for code-review and mentoring on this task.

hi @Iniquity, as you may have noticed, I nominated this task as a project for Google summer of code. I hope the extra effort will make this task a reality :)
These portals in general suffer from a lack of resourcing at the WMF, which is why they are in the state that they are. However, as on of the (remaining) people who built the Git workflow, I'll be available for code-review and mentoring on this task.

Yes, I saw it, thanks a lot! :) I am also ready to help if any help is needed.

Ladsgroup claimed this task.
Ladsgroup added a subscriber: Ladsgroup.

With the exception of wikisource, everything is done. I close this as resolved. fixing wikisource would require a much broader discussion on the multilingual wiki and where it stands which is out of scope here. If you disagree, create a dedicated ticket for wikisource.